Bug 38873 - [855gm] gnome-shell misrendered
Summary: [855gm] gnome-shell misrendered
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i830 (show other bugs)
Version: git
Hardware: Other All
: medium major
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-01 02:13 UTC by Chris Wilson
Modified: 2015-04-10 16:14 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
screenshot (376.55 KB, image/png)
2011-07-01 02:13 UTC, Chris Wilson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Wilson 2011-07-01 02:13:41 UTC
Created attachment 48644 [details]
screenshot

A couple of immediately apparent issues:

1. The top-panel bar is absent.

2. Window shadows are white rather than black (or at least I presume they're meant to be shadows and not a glow!)
Comment 1 Eugeni Dodonov 2011-09-08 15:55:50 UTC
This issue is affecting a hardware component which is not being actively worked on anymore.

Moving the assignee to the dri-devel list as contact, to give this issue a better coverage.
Comment 2 Eric Anholt 2012-03-02 17:32:51 UTC
The first issue is fixed:

commit 7d13a6e64bf88566875a8f68e0aac9b937e30feb
Author: Alban Browaeys <prahal@yahoo.com>
Date:   Thu Feb 2 19:20:22 2012 +0100

    dri/i915: Fix off-by-one in i830 clip region size.
    
    The hardware, like i915, uses an inclusive bounds on min and max for
    the drawing rectangle, but we were providing a number for exclusive.
    The number of bits used by the hardware only covers this value going
    up to the maximum size, so when we programmed 2048 as the maximum
    inclusive X, it saw a maximum X of 0 and clipped all rendering.  This
    caused rendering failures in gnome-shell.
    
    Fixes piglit fbo-maxsize.
    
    v2: dropped changes to the blitter, which does use an exclusive x2, y2.
        [change by anholt]
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=45558
    Reviewed-by: Eric Anholt <eric@anholt.net>
    NOTE: This is a candidate for release branches.

don't know about the second.
Comment 3 Ville Syrjala 2015-04-10 16:14:27 UTC
Presuming the shadows are fixed by:

commit 40a08e0d6a57cc79ee72a62aeedec20cae774ed5
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu Aug 7 11:14:35 2014 +0300

    i915: Use L8A8 instead of I8 to simulate A8 on gen2


bug/show.html.tmpl processed on Mar 25, 2017 at 07:46:10.
(provided by the Example extension).